Attribute VB_Name = "ParticleTypes"

'This module can contain non reusable game specific code that has to do with particles

Option Explicit

'Particle types
Public ParticleType_Fog As Long
Public ParticleType_Stone1 As Long
Public ParticleType_Stone2 As Long
Public ParticleType_Light As Long
Public ParticleType_Rocket As Long
Public ParticleType_PlasmaBall As Long
Public ParticleType_PlasmaFragment As Long
Public ParticleType_Bullet As Long
Public ParticleType_WaterCircle As Long
Public ParticleType_WaterSplash As Long
Public ParticleType_DirtSplash As Long

Public Function GetRandomStoneParticle() As Long
    If Rnd < 0.5 Then
        GetRandomStoneParticle = ParticleType_Stone1
    Else
        GetRandomStoneParticle = ParticleType_Stone2
    End If
End Function
